# $Revision: 1.16 $, $Date: 2010/06/06 08:37:29 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gtk2-TrayIcon
Summary:	Gtk2::TrayIcon - Perl interface to the EggTrayIcon library
Summary(pl.UTF-8):	Gtk2::TrayIcon - interfejs perlowy do biblioteki EggTrayIcon
Name:		perl-Gtk2-TrayIcon
Version:	0.06
Release:	4
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	522c328f14681a25d76eeaf317e05049
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2 >= 1.00
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 0.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk2::TrayIcon module allows a Perl developer to embed an arbitrary
widget in a System Tray like the GNOME notification area.

%description -l pl.UTF-8
Moduł Gtk2::TrayIcon umożliwia programistom perlowym umieszczanie
dowolnych kontrolek w Zasobniku Systemowym (System Tray), takim jak w
obszarze powiadamiania GNOME.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorarch}/Gtk2/TrayIcon.pm
%dir %{perl_vendorarch}/Gtk2/TrayIcon
%{perl_vendorarch}/Gtk2/TrayIcon/Install
%dir %{perl_vendorarch}/auto/Gtk2/TrayIcon
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/TrayIcon/*.so
%{perl_vendorarch}/auto/Gtk2/TrayIcon/*.bs
%{_mandir}/man3/Gtk2::TrayIcon*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gtk2-TrayIcon.spec,v $
Revision 1.16  2010/06/06 08:37:29  arekm
- release 4

Revision 1.15  2008/03/02 16:54:49  wolvverine
- rel.3

Revision 1.14  2008-02-10 12:11:42  arekm
- rel 2

Revision 1.13  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.12  2007-12-01 22:10:28  qboosh
- updated to 0.06

Revision 1.11  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.9  2004/11/03 22:30:24  paladine
- formatting

Revision 1.8  2004/07/13 11:15:03  patrys
- added another missing BR: perl-ExtUtils-PkgConfig

Revision 1.7  2004/07/13 11:13:40  patrys
- added missing BR: perl-ExtUtils-Depends

Revision 1.6  2004/04/20 23:07:59  ankry
- ported to new bconds

Revision 1.5  2004/04/14 16:19:34  ankry
- replaced bogus descriptions/summaries with proper ones

Revision 1.4  2004/04/09 18:37:54  adamg
- updated to 0.04

Revision 1.3  2004/03/09 02:02:15  ankry
- spaces -> tabs

Revision 1.2  2004/03/08 20:36:54  qboosh
- pl, cosmetics

Revision 1.1  2004/03/08 04:59:43  aredridel
- added
